Bug 466463 - Kernel 2.6.26.5-45.fc9.i686 requires kernel parameter pci=routeirq or periodic system lockups occur
Kernel 2.6.26.5-45.fc9.i686 requires kernel parameter pci=routeirq or periodi...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-10 08:04 EDT by Scott Glaser
Modified: 2009-07-14 10:22 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 10:22:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Output of dmidecode (5.51 KB, text/plain)
2008-10-10 08:04 EDT, Scott Glaser
no flags Details
Output of lsusb (634 bytes, text/plain)
2008-10-10 08:06 EDT, Scott Glaser
no flags Details
lspci output (27.73 KB, text/plain)
2008-10-10 08:09 EDT, Scott Glaser
no flags Details

  None (edit)
Description Scott Glaser 2008-10-10 08:04:36 EDT
Created attachment 320008 [details]
Output of dmidecode

Description of problem:

With kernel 2.6.26.5-45.fc9.i686 periodic system lockups occur, checking /var/log/messages shows:

grep routeirq /var/log/messages
Oct  7 10:23:05 localhost kernel: PCI: If a device doesn't work, try "pci=routeirq".  If it helps, post a report
Oct  8 02:03:43 localhost kernel: PCI: If a device doesn't work, try "pci=routeirq".  If it helps, post a report
Oct  8 09:10:16 localhost kernel: PCI: If a device doesn't work, try "pci=routeirq".  If it helps, post a report

Adding the kernel parameter to the kernel line of /etc/grub.conf and rebooting causes the system to operate normally without any lockups.



Version-Release number of selected component (if applicable):

kernel-2.6.26.5-45.fc9.i686

How reproducible:

With out that kernel parameter the system will lock up randomly for not apparent reason and require a hard reset via the power button to restart, the keyboard/mouse are non-responsive and the caps lock indicator is flashing when this occurs. This did not occur with the initial kernel that was released with F9 but has occurred with every kernel update that has been released since.  This is an HP DV9657cl laptop here is the smolt output:

[root@localhost ~]# smoltSendProfile 
	UUID: 76b13d48-f288-466a-8ea9-a41e93747824
	OS: Fedora release 9 (Sulphur)
	Default run level: 5
	Language: en_US.UTF-8
	Platform: i686
	BogoMIPS: 3328.87
	CPU Vendor: GenuineIntel
	CPU Model: Intel(R) Core(TM)2 Duo CPU     T5450  @ 1.66GHz
	Number of CPUs: 2
	CPU Speed: 1667
	System Memory: 2025
	System Swap: 5200
	Vendor: Hewlett-Packard
	System: HP Pavilion dv9500 Notebook PC Rev 1
	Form factor: laptop
	Kernel: 2.6.26.5-45.fc9.i686
	SELinux Enabled: True
	SELinux Policy: targeted
	SELinux Enforce: Permissive

		 Devices
		=================================
		(32902:10281:4156:12492) pci, ahci, OTHER, 82801HBM/HEM (ICH8M/ICH8M-E) SATA AHCI Controller
		(None:None:None:None) pnp, rtc_cmos, None, AT Real-Time Clock
		(None:None:None:None) firewire, Unknown, None, No Description
		(4204:14097:None:None) usb, cdc_acm, OTHER, USB Communications Interface
		(4204:14097:None:None) usb, cdc_acm, OTHER, USB Data Interface
		(4204:14097:None:None) usb, usbserial_generic, OTHER, USB Vendor Specific Interface
		(4204:14097:None:None) usb, usb-storage, OTHER, USB Mass Storage Interface
		(None:None:None:None) mmc_host, Unknown, None, MMC/SD Host Adapter
		(None:None:None:None) net, Unknown, NETWORK, Networking Wireless Control Interface
		(None:None:None:None) scsi_host, Unknown, None, SCSI Host Adapter
		(None:None:None:None) tty, Unknown, None, Serial Port
		(None:None:None:None) scsi, sd, None, SCSI Device
		(32902:16937:32902:4352) pci, iwl4965, NETWORK, PRO/Wireless 4965 AG or AGN Network Connection
		(None:None:None:None) power_supply, Unknown, None, Primary
		(32902:10261:4156:12492) pci, Unknown, OTHER, 82801HEM (ICH8M) LPC Interface Controller
		(None:None:None:None) platform, Unknown, None, Platform Device (bluetooth)
		(None:None:None:None) input, Unknown, None, HP Webcam
		(32902:9288:0:0) pci, Unknown, OTHER, 82801 Mobile PCI Bridge
		(4480:2130:4156:12492) pci, Unknown, OTHER, xD-Picture Card Controller
		(None:None:None:None) platform, Unknown, None, Platform Device (vesafb.0)
		(None:None:None:None) serio, psmouse, None, i8042 AUX port
		(32902:10289:4156:12492) pci, uhci_hcd, USB, 82801H (ICH8 Family) USB UHCI Controller #2
		(None:None:None:None) scsi, sd, None, SCSI Device
		(None:None:None:None) scsi, sd, None, SCSI Device
		(4480:2115:4156:12492) pci, ricoh-mmc, OTHER, R5C843 MMC Host Controller
		(4480:1426:4156:12492) pci, Unknown, OTHER, R5C592 Memory Stick Bus Host Adapter
		(32902:10303:0:0) pci, pcieport-driver, OTHER, 82801H (ICH8 Family) PCI Express Port 1
		(None:None:None:None) scsi, sr, None, SCSI Device
		(None:None:None:None) platform, i8042, None, Platform Device (i8042)
		(None:None:None:None) platform, Unknown, None, Platform Device (pcspkr)
		(None:None:None:None) platform, iTCO_wdt, None, Platform Device (iTCO_wdt)
		(None:None:None:None) scsi_host, Unknown, None, SCSI Host Adapter
		(None:None:None:None) scsi_generic, Unknown, None, SCSI Generic Interface
		(None:None:None:None) input, Unknown, MOUSE, Microsoft Microsoft Wireless Optical Mouse? 1.00
		(4480:2098:4156:12492) pci, firewire_ohci, FIREWIRE, R5C832 IEEE 1394 Controller
		(None:None:None:None) input, Unknown, None, Power Button (FF)
		(1614:41217:None:None) usb, uvcvideo, OTHER, USB Video Interface
		(1614:41217:None:None) usb, uvcvideo, OTHER, USB Video Interface
		(None:None:None:None) scsi_generic, Unknown, None, SCSI Generic Interface
		(None:None:None:None) net, Unknown, NETWORK, Networking Interface
		(None:None:None:None) net, Unknown, NETWORK, WLAN Interface
		(None:None:None:None) scsi_host, Unknown, None, SCSI Host Adapter
		(32902:10320:4156:12492) pci, ata_piix, IDE, 82801HBM/HEM (ICH8M/ICH8M-E) IDE Controller
		(None:None:None:None) power_supply, Unknown, None, Generic AC Adapter Device
		(None:None:None:None) scsi_generic, Unknown, None, SCSI Generic Interface
		(4480:2082:4156:12492) pci, sdhci, OTHER, R5C822 SD/SDIO/MMC/MS/MSPro Host Adapter
		(None:None:None:None) scsi_host, Unknown, None, SCSI Host Adapter
		(32902:10752:4156:12492) pci, Unknown, OTHER, Mobile PM965/GM965/GL960 Memory Controller Hub
		(32902:10753:0:0) pci, pcieport-driver, OTHER, Mobile PM965/GM965/GL960 PCI Express Root Port
		(None:None:None:None) pnp, i8042 aux, None, PnP Device (SYN0138)
		(None:None:None:None) tty, Unknown, None, PANTECH USB MODEM
		(32902:10302:4156:12492) pci, i801_smbus, OTHER, 82801H (ICH8 Family) SMBus Controller
		(None:None:None:None) pnp, i8042 kbd, None, IBM Enhanced (101/102-key, PS/2 mouse support)
		(None:None:None:None) scsi_host, Unknown, None, SCSI Host Adapter
		(32902:10305:0:0) pci, pcieport-driver, OTHER, 82801H (ICH8 Family) PCI Express Port 2
		(32902:10313:0:0) pci, pcieport-driver, OTHER, 82801H (ICH8 Family) PCI Express Port 6
		(32902:10298:4156:12492) pci, ehci_hcd, USB, 82801H (ICH8 Family) USB2 EHCI Controller #2
		(None:None:None:None) input, Unknown, None, SynPS/2 Synaptics TouchPad
		(None:None:None:None) scsi_host, Unknown, None, SCSI Host Adapter
		(None:None:None:None) input, Unknown, None, Lid Switch
		(None:None:None:None) input, Unknown, None, Power Button (CM)
		(None:None:None:None) input, Unknown, None, Video Bus
		(None:None:None:None) input, Unknown, None, Video Bus
		(None:None:None:None) input, Unknown, MOUSE, Macintosh mouse button emulation
		(None:None:None:None) input, Unknown, None, Sleep Button (CM)
		(None:None:None:None) platform, serial8250, None, Platform Device (serial8250)
		(None:None:None:None) serio, atkbd, None, i8042 KBD port
		(None:None:None:None) platform, coretemp, None, Platform Device (coretemp.0)
		(1118:225:None:None) usb, usbhid, OTHER, USB HID Interface
		(None:None:None:None) video4linux, Unknown, None, HP Webcam
		(None:None:None:None) backlight, Unknown, None, Generic Backlight Device
		(None:None:None:None) input, Unknown, KEYBOARD, AT Translated Set 2 keyboard
		(32902:10294:4156:12492) pci, ehci_hcd, USB, 82801H (ICH8 Family) USB2 EHCI Controller #1
		(32902:10292:4156:12492) pci, uhci_hcd, USB, 82801H (ICH8 Family) USB UHCI Controller #4
		(32902:10293:4156:12492) pci, uhci_hcd, USB, 82801H (ICH8 Family) USB UHCI Controller #5
		(32902:10290:4156:12492) pci, uhci_hcd, USB, 82801H (ICH8 Family) USB UHCI Controller #3
		(32902:10288:4156:12492) pci, uhci_hcd, USB, 82801H (ICH8 Family) USB UHCI Controller #1
		(None:None:None:None) scsi_host, Unknown, None, SCSI Host Adapter
		(None:None:None:None) scsi_host, Unknown, None, SCSI Host Adapter
		(None:None:None:None) scsi_host, Unknown, None, SCSI Host Adapter
		(32902:10315:4156:12492) pci, HDA Intel, OTHER, 82801H (ICH8 Family) HD Audio Controller
		(None:None:None:None) scsi_host, Unknown, None, SCSI Host Adapter
		(4318:1061:4156:12492) pci, nvidia, VIDEO, GeForce 8600M GS
		(None:None:None:None) scsi_generic, Unknown, None, SCSI Generic Interface
		(None:None:None:None) platform, coretemp, None, Platform Device (coretemp.1)
		(4332:33128:4156:12492) pci, r8169, NETWORK, RTL8111/8168B PCI Express Gigabit Ethernet controller

	Filesystem Information
		device mtpt type bsize frsize blocks bfree bavail file ffree favail
		===================================================================
		/dev/root / ext3 4096 4096 16623726 12693909 11835838 17170432 16857951 16857951
		/dev/sdb7 Hidden ext3 1024 1024 194442 188777 178738 50200 50189 50189
		/dev/sdb2 /home ext3 4096 4096 12398557 8900119 8260130 12812288 12797086 12797086
		/dev/sdb3 Hidden ext3 4096 4096 7438397 6661013 6277060 7685440 7565950 7565950
		/dev/sdb1 Hidden ext2 1024 1024 194442 187485 177446 50200 50166 50166

I have tried uploading that data via smoltSendProfile but it returns an error. I will try again later.

Steps to Reproduce:
1. Install the latest kernel update and boot without the kernel parameter pci=routeirq and the system has a hard lockup after some amount of time.  No set periodicity with the lockups.
2. Add pci=routeirq to the kernel line and reboot and the lockups never occur no matter how long the system is utilized.
3.
  
Actual results:

Without the kernel parameter the system hard locks and must be powered of to restart.

Expected results:

Kernel parameter should not be required for normal operation.


Additional info:
Comment 1 Scott Glaser 2008-10-10 08:06:17 EDT
Created attachment 320009 [details]
Output of lsusb
Comment 2 Scott Glaser 2008-10-10 08:09:31 EDT
Created attachment 320010 [details]
lspci output
Comment 3 Bug Zapper 2009-06-09 22:55:42 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-07-14 10:22:59 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.